--- title: "Gets the Exportable IPS Reconnaissance Policies from the Manager" slug: "gets-the-exportable-ips-reconnaissance-policies-from-the-manager" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/gets-the-exportable-ips-reconnaissance-policies-from-the-manager" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Gets the Exportable IPS Reconnaissance Policies from the Manager This URL gets the exportable IPS reconnaissance policies from the Manager. ## Resource URL GET /domain//ipsreconpolicy/export ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | exportablePolicyList | List of exportable IPS & reconnaissance policies | Object | Details of exportablePolicyList: | Field Name | Description | Data Type | | --- | --- | --- | | exportablePolicyDetail | List of exportable IPS & reconnaissance policy detail | ObjectList | Details of exportablePolicyDetail: | Field Name | Description | Data Type | | --- | --- | --- | | policyName | Name of the policy | String | | policyType | Type of the policy, one of the two: - IPS_POLICY - RECON_POLICY | String | | policyId | ID of the policy | Integer | ## Example **Request** GET [https:///sdkapi/domain/0/ipsreconpolicy/export](https://%3CNSM_IP%3E/sdkapi/domain/0/ipsreconpolicy/export) **Response** ``` { 'exportablePolicyDetail': [{ 'policyName': 'DefaultIPSAttackSettings', 'policyType': 'IPS_POLICY', 'policyId': -1 }, { 'policyName': 'DefaultIDS', 'policyType': 'IPS_POLICY', 'policyId': 0 }, { 'policyName': 'Null', 'policyType': 'IPS_POLICY', 'policyId': 18 }, { 'policyName': 'DefaultInlineIPS', 'policyType': 'IPS_POLICY', 'policyId': 19 }, { 'policyName': 'DefaultReconnaissancePolicy', 'policyType': 'RECON_POLICY', 'policyId': 300 }] } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |